Subject: Re: [PATCH] Move format-patch base commit and prerequisites before email signature

From: Josh Triplett <[email-masked]>
Date: Fri, 9 Sep 2016 14:00:41 -0700

On Fri, Sep 09, 2016 at 01:51:04PM -0700, Junio C Hamano wrote:
> Josh Triplett <[email-masked]> writes:
> 
> > On Fri, Sep 09, 2016 at 12:41:56PM -0700, Junio C Hamano wrote:
> >> So here is a suggested replacement.  I notice that in the MIME case,
> >> we do not leave any blank line between the last line of the patch
> >> and the baseinfo, which makes it look a bit strange, e.g. output of
> >> "format-patch --attach=mimemime -1" may end like this:
> >> 
> >>     +       test_write_lines 1 2 >expect &&
> >>     +       test_cmp expect actual
> >>     +'
> >>     +
> >>      test_expect_success 'format-patch --pretty=mboxrd' '
> >>             sp=" " &&
> >>             cat >msg <<-INPUT_END &&
> >>     base-commit: 6ebdac1bab966b720d776aa43ca188fe378b1f4b
> >> 
> >>     --------------mimemime--
> >> 
> >> We may want to tweak it a bit further.
> >>  ...
> >
> > Looks good to me.
> 
> Thanks.
> 
> Do you mean that the base information that appears immediately after
> the patch text (either for MIME case or plain-text) does not bother
> you, though?

Sorry, I should have clarified that further.  I meant that the
additional tests looked good to me.

As it turns out, the patch I used to test this on happened to have a
blank line as the last line of context before the base-commit line, so
I'd overlooked this in the non-MIME case.  The issue you mentioned does
apply to both the MIME and non-MIME cases, and I agree that it needs
fixing.  It doesn't seem like a functional issue, but aesthetically it
doesn't look good.

Do you plan to make that change to print an additional blank line
(likely inside print_bases), or should I?